﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Schedules;

namespace xamShedule_Themes
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ObservableCollection<Resource> resources = new ObservableCollection<Resource>();
            Resource resAmanda = new Resource() { Id = "own1", Name = "Amanda" };
            resources.Add(resAmanda);

            ObservableCollection<ResourceCalendar> calendars =
                new ObservableCollection<ResourceCalendar>();
            ResourceCalendar calAmanda = new ResourceCalendar()
            {
                Id = "cal1",
                OwningResourceId = "own1"
            };

            calendars.Add(calAmanda);

            ObservableCollection<Appointment> appointments = new ObservableCollection<Appointment>();
            Appointment app1 = new Appointment()
            {
                Id = "t1",
                OwningResourceId = "own1",
                OwningCalendarId = "cal1",
                Subject = "Appointment 1",
                Description = "My first appointment",
                // Convert the date to universal time, because a time zone is not set
                // in this snippet    
                Start = DateTime.Today.AddHours(9).AddMinutes(12).ToUniversalTime(),
                End = DateTime.Today.AddHours(11).AddMinutes(42).ToUniversalTime()
            };
            appointments.Add(app1);

            Appointment app2 = new Appointment()
            {
                Id = "t2",
                OwningResourceId = "own1",
                OwningCalendarId = "cal1",
                Subject = "Appointment 2",
                Description = "My second appointment",
                // Convert the date to universal time, because a time zone is not set
                // in this snippet    
                Start = DateTime.Today.AddHours(10).AddMinutes(12).ToUniversalTime(),
                End = DateTime.Today.AddHours(11).AddMinutes(42).ToUniversalTime()
            };
            appointments.Add(app2);

            this.dataConnector.ResourceItemsSource = resources;
            this.dataConnector.ResourceCalendarItemsSource = calendars;
            this.dataConnector.AppointmentItemsSource = appointments;
        }
    }
}
